Upstream information

CVE-2019-5477 at MITRE

Description

A command injection vulnerability in Nokogiri v1.10.3 and earlier allows commands to be executed in a subprocess via Ruby's `Kernel.open` method. Processes are vulnerable only if the undocumented method `Nokogiri::CSS::Tokenizer#load_file` is being called with unsafe user input as the filename. This vulnerability appears in code generated by the Rexical gem versions v1.0.6 and earlier. Rexical is used by Nokogiri to generate lexical scanner code for parsing CSS queries. The underlying vulnerability was addressed in Rexical v1.0.7 and Nokogiri upgraded to this version of Rexical in Nokogiri v1.10.4.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1146578 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • ardana-ansible >= 8.0+git.1566374355.c509923-3.67.3
  • ardana-glance >= 8.0+git.1566376789.be0fe01-3.17.3
  • ardana-horizon >= 8.0+git.1565816064.5d4f73f-3.18.3
  • ardana-input-model >= 8.0+git.1566517401.98450e6-3.33.3
  • ardana-manila >= 8.0+git.1568835837.2452e7a-1.21.3
  • ardana-neutron >= 8.0+git.1568220097.74ee4b4-3.33.3
  • ardana-nova >= 8.0+git.1566902754.c58ff69-3.35.3
  • ardana-octavia >= 8.0+git.1568373448.bcaee7e-3.20.3
  • ardana-tempest >= 8.0+git.1566471887.fd2fec7-3.27.3
  • galera-3-wsrep-provider >= 25.3.25-4.6.3
  • grafana >= 4.6.5-4.6.3
  • libmariadb3 >= 3.1.2-3.12.3
  • mariadb >= 10.2.25-4.14.2
  • mariadb-client >= 10.2.25-4.14.2
  • mariadb-errormessages >= 10.2.25-4.14.2
  • mariadb-galera >= 10.2.25-4.14.2
  • mariadb-tools >= 10.2.25-4.14.2
  • novnc >= 1.0.0-3.6.3
  • openstack-cinder >= 11.2.3~dev16-3.21.4
  • openstack-cinder-api >= 11.2.3~dev16-3.21.4
  • openstack-cinder-backup >= 11.2.3~dev16-3.21.4
  • openstack-cinder-doc >= 11.2.3~dev16-3.21.3
  • openstack-cinder-scheduler >= 11.2.3~dev16-3.21.4
  • openstack-cinder-volume >= 11.2.3~dev16-3.21.4
  • openstack-glance >= 15.0.3~dev3-3.12.4
  • openstack-glance-api >= 15.0.3~dev3-3.12.4
  • openstack-glance-doc >= 15.0.3~dev3-3.12.3
  • openstack-glance-registry >= 15.0.3~dev3-3.12.4
  • openstack-heat >= 9.0.8~dev13-3.24.4
  • openstack-heat-api >= 9.0.8~dev13-3.24.4
  • openstack-heat-api-cfn >= 9.0.8~dev13-3.24.4
  • openstack-heat-api-cloudwatch >= 9.0.8~dev13-3.24.4
  • openstack-heat-doc >= 9.0.8~dev13-3.24.3
  • openstack-heat-engine >= 9.0.8~dev13-3.24.4
  • openstack-heat-plugin-heat_docker >= 9.0.8~dev13-3.24.4
  • openstack-heat-test >= 9.0.8~dev13-3.24.4
  • openstack-horizon-plugin-neutron-vpnaas-ui >= 1.0.1~dev3-3.6.4
  • openstack-keystone >= 12.0.4~dev4-5.27.4
  • openstack-keystone-doc >= 12.0.4~dev4-5.27.3
  • openstack-monasca-installer >= 20190923_16.32-3.9.3
  • openstack-neutron >= 11.0.9~dev51-3.24.5
  • openstack-neutron-dhcp-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-doc >= 11.0.9~dev51-3.24.4
  • openstack-neutron-gbp >= 7.3.1~dev56-3.9.4
  • openstack-neutron-ha-tool >= 11.0.9~dev51-3.24.5
  • openstack-neutron-l3-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-lbaas >= 11.0.4~dev6-3.15.4
  • openstack-neutron-lbaas-agent >= 11.0.4~dev6-3.15.4
  • openstack-neutron-lbaas-doc >= 11.0.4~dev6-3.15.4
  • openstack-neutron-linuxbridge-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-macvtap-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-metadata-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-metering-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-openvswitch-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-server >= 11.0.9~dev51-3.24.5
  • openstack-nova >= 16.1.9~dev7-3.29.3
  • openstack-nova-api >= 16.1.9~dev7-3.29.3
  • openstack-nova-cells >= 16.1.9~dev7-3.29.3
  • openstack-nova-compute >= 16.1.9~dev7-3.29.3
  • openstack-nova-conductor >= 16.1.9~dev7-3.29.3
  • openstack-nova-console >= 16.1.9~dev7-3.29.3
  • openstack-nova-consoleauth >= 16.1.9~dev7-3.29.3
  • openstack-nova-doc >= 16.1.9~dev7-3.29.3
  • openstack-nova-novncproxy >= 16.1.9~dev7-3.29.3
  • openstack-nova-placement-api >= 16.1.9~dev7-3.29.3
  • openstack-nova-scheduler >= 16.1.9~dev7-3.29.3
  • openstack-nova-serialproxy >= 16.1.9~dev7-3.29.3
  • openstack-nova-vncproxy >= 16.1.9~dev7-3.29.3
  • python-amqp >= 2.2.2-3.6.3
  • python-cinder >= 11.2.3~dev16-3.21.4
  • python-glance >= 15.0.3~dev3-3.12.4
  • python-heat >= 9.0.8~dev13-3.24.4
  • python-horizon-plugin-neutron-vpnaas-ui >= 1.0.1~dev3-3.6.4
  • python-keystone >= 12.0.4~dev4-5.27.4
  • python-neutron >= 11.0.9~dev51-3.24.5
  • python-neutron-gbp >= 7.3.1~dev56-3.9.4
  • python-neutron-lbaas >= 11.0.4~dev6-3.15.4
  • python-nova >= 16.1.9~dev7-3.29.3
  • python-pysaml2 >= 4.0.2-5.3.3
  • python-python-engineio >= 2.0.2-3.3.3
  • python-urllib3 >= 1.22-5.9.3
  • release-notes-hpe-helion-openstack >= 8.20190911-3.20.3
  • venv-openstack-aodh-x86_64 >= 5.1.1~dev7-12.20.2
  • venv-openstack-barbican-x86_64 >= 5.0.2~dev3-12.21.2
  • venv-openstack-ceilometer-x86_64 >= 9.0.8~dev7-12.18.2
  • venv-openstack-cinder-x86_64 >= 11.2.3~dev16-14.21.2
  • venv-openstack-designate-x86_64 >= 5.0.3~dev7-12.19.2
  • venv-openstack-freezer-x86_64 >= 5.0.0.0~xrc2~dev2-10.16.2
  • venv-openstack-glance-x86_64 >= 15.0.3~dev3-12.19.2
  • venv-openstack-heat-x86_64 >= 9.0.8~dev13-12.21.2
  • venv-openstack-horizon-hpe-x86_64 >= 12.0.4~dev6-14.26.2
  • venv-openstack-ironic-x86_64 >= 9.1.8~dev7-12.21.2
  • venv-openstack-keystone-x86_64 >= 12.0.4~dev4-11.22.3
  • venv-openstack-magnum-x86_64 >= 5.0.2_5.0.2_5.0.2~dev31-11.20.2
  • venv-openstack-manila-x86_64 >= 5.1.1~dev2-12.23.2
  • venv-openstack-monasca-ceilometer-x86_64 >= 1.5.1_1.5.1_1.5.1~dev3-8.16.2
  • venv-openstack-monasca-x86_64 >= 2.2.2~dev1-11.18.2
  • venv-openstack-murano-x86_64 >= 4.0.2~dev2-12.16.2
  • venv-openstack-neutron-x86_64 >= 11.0.9~dev51-13.24.3
  • venv-openstack-nova-x86_64 >= 16.1.9~dev7-11.22.3
  • venv-openstack-octavia-x86_64 >= 1.0.6~dev2-12.21.2
  • venv-openstack-sahara-x86_64 >= 7.0.4~dev1-11.20.2
  • venv-openstack-swift-x86_64 >= 2.15.2-11.13.3
  • venv-openstack-trove-x86_64 >= 8.0.1~dev13-11.20.2
Patchnames:
HPE-Helion-OpenStack-8-2019-2867
SUSE Enterprise Storage 4
  • crowbar-core >= 4.0+git.1570463621.40b11cd48-9.54.1
  • ruby2.1-rubygem-chef >= 10.32.2-5.12.1
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.3.1
  • rubygem-chef >= 10.32.2-5.12.1
  • sleshammer-aarch64 >= 0.7.0-0.18.12.3
  • sleshammer-x86_64 >= 0.7.0-0.18.12.3
Patchnames:
SUSE-Storage-4-2019-2671
SUSE Linux Enterprise High Availability 15 SP1
  • ruby2.5-rubygem-nokogiri >= 1.8.5-3.6.1
Patchnames:
SUSE-SLE-Product-HA-15-SP1-2021-251
SUSE Linux Enterprise High Availability 15 SP2
  • ruby2.5-rubygem-nokogiri >= 1.8.5-3.6.1
Patchnames:
SUSE-SLE-Product-HA-15-SP2-2021-251
SUSE Linux Enterprise High Availability 15
  • ruby2.5-rubygem-nokogiri >= 1.8.5-3.6.1
Patchnames:
SUSE-SLE-Product-HA-15-2021-251
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • ruby2.5-rubygem-nokogiri >= 1.8.5-3.6.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • ruby2.5-rubygem-nokogiri-doc >= 1.8.5-3.6.1
  • ruby2.5-rubygem-nokogiri-testsuite >= 1.8.5-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2021-251
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • ruby2.5-rubygem-nokogiri-doc >= 1.8.5-3.6.1
  • ruby2.5-rubygem-nokogiri-testsuite >= 1.8.5-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-251
SUSE OpenStack Cloud 7
  • crowbar-core >= 4.0+git.1570463621.40b11cd48-9.54.1
  • crowbar-core-branding-upstream >= 4.0+git.1570463621.40b11cd48-9.54.1
  • crowbar-openstack >= 4.0+git.1569429513.e7016b2b6-9.59.1
  • grafana >= 4.6.5-1.11.2
  • novnc >= 1.0.0-12.1
  • openstack-keystone >= 10.0.3~dev9-7.18.2
  • openstack-keystone-doc >= 10.0.3~dev9-7.18.2
  • openstack-neutron >= 9.4.2~dev21-7.32.1
  • openstack-neutron-dhcp-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-doc >= 9.4.2~dev21-7.32.1
  • openstack-neutron-ha-tool >= 9.4.2~dev21-7.32.1
  • openstack-neutron-l3-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-lbaas >= 9.2.2~dev11-4.18.3
  • openstack-neutron-lbaas-agent >= 9.2.2~dev11-4.18.3
  • openstack-neutron-lbaas-doc >= 9.2.2~dev11-4.18.3
  • openstack-neutron-linuxbridge-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-macvtap-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-metadata-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-metering-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-openvswitch-agent >= 9.4.2~dev21-7.32.1
  • openstack-neutron-server >= 9.4.2~dev21-7.32.1
  • openstack-nova >= 14.0.11~dev13-4.34.3
  • openstack-nova-api >= 14.0.11~dev13-4.34.3
  • openstack-nova-cells >= 14.0.11~dev13-4.34.3
  • openstack-nova-cert >= 14.0.11~dev13-4.34.3
  • openstack-nova-compute >= 14.0.11~dev13-4.34.3
  • openstack-nova-conductor >= 14.0.11~dev13-4.34.3
  • openstack-nova-console >= 14.0.11~dev13-4.34.3
  • openstack-nova-consoleauth >= 14.0.11~dev13-4.34.3
  • openstack-nova-doc >= 14.0.11~dev13-4.34.2
  • openstack-nova-novncproxy >= 14.0.11~dev13-4.34.3
  • openstack-nova-placement-api >= 14.0.11~dev13-4.34.3
  • openstack-nova-scheduler >= 14.0.11~dev13-4.34.3
  • openstack-nova-serialproxy >= 14.0.11~dev13-4.34.3
  • openstack-nova-vncproxy >= 14.0.11~dev13-4.34.3
  • openstack-tempest >= 12.2.1~a0~dev177-4.6.3
  • openstack-tempest-test >= 12.2.1~a0~dev177-4.6.3
  • python-keystone >= 10.0.3~dev9-7.18.2
  • python-neutron >= 9.4.2~dev21-7.32.1
  • python-neutron-lbaas >= 9.2.2~dev11-4.18.3
  • python-nova >= 14.0.11~dev13-4.34.3
  • python-pysaml2 >= 4.0.2-3.11.3
  • python-tempest >= 12.2.1~a0~dev177-4.6.3
  • python-urllib3 >= 1.16-3.9.2
  • ruby2.1-rubygem-chef >= 10.32.2-5.12.1
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.3.1
  • ruby2.1-rubygem-nokogiri >= 1.6.1-5.3.1
  • rubygem-chef >= 10.32.2-5.12.1
  • sleshammer-aarch64 >= 0.7.0-0.18.12.3
  • sleshammer-ppc64le >= 0.7.0-0.18.12.3
  • sleshammer-s390x >= 0.7.0-0.18.12.3
  • sleshammer-x86_64 >= 0.7.0-0.18.12.3
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2671
SUSE-OpenStack-Cloud-7-2021-210
SUSE OpenStack Cloud 8
  • ardana-ansible >= 8.0+git.1566374355.c509923-3.67.3
  • ardana-glance >= 8.0+git.1566376789.be0fe01-3.17.3
  • ardana-horizon >= 8.0+git.1565816064.5d4f73f-3.18.3
  • ardana-input-model >= 8.0+git.1566517401.98450e6-3.33.3
  • ardana-manila >= 8.0+git.1568835837.2452e7a-1.21.3
  • ardana-neutron >= 8.0+git.1568220097.74ee4b4-3.33.3
  • ardana-nova >= 8.0+git.1566902754.c58ff69-3.35.3
  • ardana-octavia >= 8.0+git.1568373448.bcaee7e-3.20.3
  • ardana-tempest >= 8.0+git.1566471887.fd2fec7-3.27.3
  • galera-3-wsrep-provider >= 25.3.25-4.6.3
  • grafana >= 4.6.5-4.6.3
  • libmariadb3 >= 3.1.2-3.12.3
  • mariadb >= 10.2.25-4.14.2
  • mariadb-client >= 10.2.25-4.14.2
  • mariadb-errormessages >= 10.2.25-4.14.2
  • mariadb-galera >= 10.2.25-4.14.2
  • mariadb-tools >= 10.2.25-4.14.2
  • novnc >= 1.0.0-3.6.3
  • openstack-cinder >= 11.2.3~dev16-3.21.4
  • openstack-cinder-api >= 11.2.3~dev16-3.21.4
  • openstack-cinder-backup >= 11.2.3~dev16-3.21.4
  • openstack-cinder-doc >= 11.2.3~dev16-3.21.3
  • openstack-cinder-scheduler >= 11.2.3~dev16-3.21.4
  • openstack-cinder-volume >= 11.2.3~dev16-3.21.4
  • openstack-glance >= 15.0.3~dev3-3.12.4
  • openstack-glance-api >= 15.0.3~dev3-3.12.4
  • openstack-glance-doc >= 15.0.3~dev3-3.12.3
  • openstack-glance-registry >= 15.0.3~dev3-3.12.4
  • openstack-heat >= 9.0.8~dev13-3.24.4
  • openstack-heat-api >= 9.0.8~dev13-3.24.4
  • openstack-heat-api-cfn >= 9.0.8~dev13-3.24.4
  • openstack-heat-api-cloudwatch >= 9.0.8~dev13-3.24.4
  • openstack-heat-doc >= 9.0.8~dev13-3.24.3
  • openstack-heat-engine >= 9.0.8~dev13-3.24.4
  • openstack-heat-plugin-heat_docker >= 9.0.8~dev13-3.24.4
  • openstack-heat-test >= 9.0.8~dev13-3.24.4
  • openstack-horizon-plugin-neutron-vpnaas-ui >= 1.0.1~dev3-3.6.4
  • openstack-keystone >= 12.0.4~dev4-5.27.4
  • openstack-keystone-doc >= 12.0.4~dev4-5.27.3
  • openstack-monasca-installer >= 20190923_16.32-3.9.3
  • openstack-neutron >= 11.0.9~dev51-3.24.5
  • openstack-neutron-dhcp-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-doc >= 11.0.9~dev51-3.24.4
  • openstack-neutron-gbp >= 7.3.1~dev56-3.9.4
  • openstack-neutron-ha-tool >= 11.0.9~dev51-3.24.5
  • openstack-neutron-l3-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-lbaas >= 11.0.4~dev6-3.15.4
  • openstack-neutron-lbaas-agent >= 11.0.4~dev6-3.15.4
  • openstack-neutron-lbaas-doc >= 11.0.4~dev6-3.15.4
  • openstack-neutron-linuxbridge-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-macvtap-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-metadata-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-metering-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-openvswitch-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-server >= 11.0.9~dev51-3.24.5
  • openstack-nova >= 16.1.9~dev7-3.29.3
  • openstack-nova-api >= 16.1.9~dev7-3.29.3
  • openstack-nova-cells >= 16.1.9~dev7-3.29.3
  • openstack-nova-compute >= 16.1.9~dev7-3.29.3
  • openstack-nova-conductor >= 16.1.9~dev7-3.29.3
  • openstack-nova-console >= 16.1.9~dev7-3.29.3
  • openstack-nova-consoleauth >= 16.1.9~dev7-3.29.3
  • openstack-nova-doc >= 16.1.9~dev7-3.29.3
  • openstack-nova-novncproxy >= 16.1.9~dev7-3.29.3
  • openstack-nova-placement-api >= 16.1.9~dev7-3.29.3
  • openstack-nova-scheduler >= 16.1.9~dev7-3.29.3
  • openstack-nova-serialproxy >= 16.1.9~dev7-3.29.3
  • openstack-nova-vncproxy >= 16.1.9~dev7-3.29.3
  • python-amqp >= 2.2.2-3.6.3
  • python-cinder >= 11.2.3~dev16-3.21.4
  • python-glance >= 15.0.3~dev3-3.12.4
  • python-heat >= 9.0.8~dev13-3.24.4
  • python-horizon-plugin-neutron-vpnaas-ui >= 1.0.1~dev3-3.6.4
  • python-keystone >= 12.0.4~dev4-5.27.4
  • python-neutron >= 11.0.9~dev51-3.24.5
  • python-neutron-gbp >= 7.3.1~dev56-3.9.4
  • python-neutron-lbaas >= 11.0.4~dev6-3.15.4
  • python-nova >= 16.1.9~dev7-3.29.3
  • python-ovs >= 2.7.2-3.6.1
  • python-pysaml2 >= 4.0.2-5.3.3
  • python-python-engineio >= 2.0.2-3.3.3
  • python-urllib3 >= 1.22-5.9.3
  • release-notes-suse-openstack-cloud >= 8.20190911-3.20.3
  • venv-openstack-aodh-x86_64 >= 5.1.1~dev7-12.20.2
  • venv-openstack-barbican-x86_64 >= 5.0.2~dev3-12.21.2
  • venv-openstack-ceilometer-x86_64 >= 9.0.8~dev7-12.18.2
  • venv-openstack-cinder-x86_64 >= 11.2.3~dev16-14.21.2
  • venv-openstack-designate-x86_64 >= 5.0.3~dev7-12.19.2
  • venv-openstack-freezer-x86_64 >= 5.0.0.0~xrc2~dev2-10.16.2
  • venv-openstack-glance-x86_64 >= 15.0.3~dev3-12.19.2
  • venv-openstack-heat-x86_64 >= 9.0.8~dev13-12.21.2
  • venv-openstack-horizon-x86_64 >= 12.0.4~dev6-14.26.2
  • venv-openstack-ironic-x86_64 >= 9.1.8~dev7-12.21.2
  • venv-openstack-keystone-x86_64 >= 12.0.4~dev4-11.22.3
  • venv-openstack-magnum-x86_64 >= 5.0.2_5.0.2_5.0.2~dev31-11.20.2
  • venv-openstack-manila-x86_64 >= 5.1.1~dev2-12.23.2
  • venv-openstack-monasca-ceilometer-x86_64 >= 1.5.1_1.5.1_1.5.1~dev3-8.16.2
  • venv-openstack-monasca-x86_64 >= 2.2.2~dev1-11.18.2
  • venv-openstack-murano-x86_64 >= 4.0.2~dev2-12.16.2
  • venv-openstack-neutron-x86_64 >= 11.0.9~dev51-13.24.3
  • venv-openstack-nova-x86_64 >= 16.1.9~dev7-11.22.3
  • venv-openstack-octavia-x86_64 >= 1.0.6~dev2-12.21.2
  • venv-openstack-sahara-x86_64 >= 7.0.4~dev1-11.20.2
  • venv-openstack-swift-x86_64 >= 2.15.2-11.13.3
  • venv-openstack-trove-x86_64 >= 8.0.1~dev13-11.20.2
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2867
SUSE OpenStack Cloud Crowbar 8
  • crowbar-core >= 5.0+git.1569597589.1f025c557-3.32.2
  • crowbar-core-branding-upstream >= 5.0+git.1569597589.1f025c557-3.32.2
  • crowbar-ha >= 5.0+git.1567673535.607aada-3.26.2
  • crowbar-openstack >= 5.0+git.1570141351.058c8bd44-4.31.2
  • crowbar-ui >= 1.2.0+git.1568396400.0344a727-3.12.3
  • galera-3-wsrep-provider >= 25.3.25-4.6.3
  • grafana >= 4.6.5-4.6.3
  • libmariadb3 >= 3.1.2-3.12.3
  • mariadb >= 10.2.25-4.14.2
  • mariadb-client >= 10.2.25-4.14.2
  • mariadb-errormessages >= 10.2.25-4.14.2
  • mariadb-galera >= 10.2.25-4.14.2
  • mariadb-tools >= 10.2.25-4.14.2
  • novnc >= 1.0.0-3.6.3
  • openstack-cinder >= 11.2.3~dev16-3.21.4
  • openstack-cinder-api >= 11.2.3~dev16-3.21.4
  • openstack-cinder-backup >= 11.2.3~dev16-3.21.4
  • openstack-cinder-doc >= 11.2.3~dev16-3.21.3
  • openstack-cinder-scheduler >= 11.2.3~dev16-3.21.4
  • openstack-cinder-volume >= 11.2.3~dev16-3.21.4
  • openstack-glance >= 15.0.3~dev3-3.12.4
  • openstack-glance-api >= 15.0.3~dev3-3.12.4
  • openstack-glance-doc >= 15.0.3~dev3-3.12.3
  • openstack-glance-registry >= 15.0.3~dev3-3.12.4
  • openstack-heat >= 9.0.8~dev13-3.24.4
  • openstack-heat-api >= 9.0.8~dev13-3.24.4
  • openstack-heat-api-cfn >= 9.0.8~dev13-3.24.4
  • openstack-heat-api-cloudwatch >= 9.0.8~dev13-3.24.4
  • openstack-heat-doc >= 9.0.8~dev13-3.24.3
  • openstack-heat-engine >= 9.0.8~dev13-3.24.4
  • openstack-heat-plugin-heat_docker >= 9.0.8~dev13-3.24.4
  • openstack-heat-test >= 9.0.8~dev13-3.24.4
  • openstack-horizon-plugin-neutron-vpnaas-ui >= 1.0.1~dev3-3.6.4
  • openstack-keystone >= 12.0.4~dev4-5.27.4
  • openstack-keystone-doc >= 12.0.4~dev4-5.27.3
  • openstack-monasca-installer >= 20190923_16.32-3.9.3
  • openstack-neutron >= 11.0.9~dev51-3.24.5
  • openstack-neutron-dhcp-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-doc >= 11.0.9~dev51-3.24.4
  • openstack-neutron-gbp >= 7.3.1~dev56-3.9.4
  • openstack-neutron-ha-tool >= 11.0.9~dev51-3.24.5
  • openstack-neutron-l3-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-lbaas >= 11.0.4~dev6-3.15.4
  • openstack-neutron-lbaas-agent >= 11.0.4~dev6-3.15.4
  • openstack-neutron-lbaas-doc >= 11.0.4~dev6-3.15.4
  • openstack-neutron-linuxbridge-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-macvtap-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-metadata-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-metering-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-openvswitch-agent >= 11.0.9~dev51-3.24.5
  • openstack-neutron-server >= 11.0.9~dev51-3.24.5
  • openstack-nova >= 16.1.9~dev7-3.29.3
  • openstack-nova-api >= 16.1.9~dev7-3.29.3
  • openstack-nova-cells >= 16.1.9~dev7-3.29.3
  • openstack-nova-compute >= 16.1.9~dev7-3.29.3
  • openstack-nova-conductor >= 16.1.9~dev7-3.29.3
  • openstack-nova-console >= 16.1.9~dev7-3.29.3
  • openstack-nova-consoleauth >= 16.1.9~dev7-3.29.3
  • openstack-nova-doc >= 16.1.9~dev7-3.29.3
  • openstack-nova-novncproxy >= 16.1.9~dev7-3.29.3
  • openstack-nova-placement-api >= 16.1.9~dev7-3.29.3
  • openstack-nova-scheduler >= 16.1.9~dev7-3.29.3
  • openstack-nova-serialproxy >= 16.1.9~dev7-3.29.3
  • openstack-nova-vncproxy >= 16.1.9~dev7-3.29.3
  • python-amqp >= 2.2.2-3.6.3
  • python-cinder >= 11.2.3~dev16-3.21.4
  • python-glance >= 15.0.3~dev3-3.12.4
  • python-heat >= 9.0.8~dev13-3.24.4
  • python-horizon-plugin-neutron-vpnaas-ui >= 1.0.1~dev3-3.6.4
  • python-keystone >= 12.0.4~dev4-5.27.4
  • python-neutron >= 11.0.9~dev51-3.24.5
  • python-neutron-gbp >= 7.3.1~dev56-3.9.4
  • python-neutron-lbaas >= 11.0.4~dev6-3.15.4
  • python-nova >= 16.1.9~dev7-3.29.3
  • python-ovs >= 2.7.2-3.6.1
  • python-pysaml2 >= 4.0.2-5.3.3
  • python-urllib3 >= 1.22-5.9.3
  • release-notes-suse-openstack-cloud >= 8.20190911-3.20.3
  • ruby2.1-rubygem-easy_diff >= 1.0.0-3.4.2
  • ruby2.1-rubygem-nokogiri >= 1.6.1-5.3.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2867
SUSE-OpenStack-Cloud-Crowbar-8-2021-210
SUSE OpenStack Cloud Crowbar 9
  • ruby2.1-rubygem-nokogiri >= 1.6.1-5.3.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-210
openSUSE Leap 15.2
  • ruby2.5-rubygem-nokogiri >= 1.8.5-lp152.4.3.1
  • ruby2.5-rubygem-nokogiri-doc >= 1.8.5-lp152.4.3.1
  • ruby2.5-rubygem-nokogiri-testsuite >= 1.8.5-lp152.4.3.1
Patchnames:
openSUSE-2021-237
openSUSE Tumbleweed
  • ruby2.7-rubygem-nokogiri >= 1.12.3-1.2
  • ruby3.0-rubygem-nokogiri >= 1.12.3-1.2
Patchnames:
openSUSE Tumbleweed GA ruby2.7-rubygem-nokogiri-1.12.3-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 4 rubygem-nokogiri Affected
SUSE Linux Enterprise High Availability Extension 15 rubygem-nokogiri Released
SUSE Linux Enterprise High Availability Extension 15 SP1 rubygem-nokogiri Released
SUSE Linux Enterprise High Availability Extension 15 SP2 rubygem-nokogiri Released
SUSE Linux Enterprise Software Bootstrap Kit 12 rubygem-nokogiri Affected
SUSE OpenStack Cloud 6 LTSS rubygem-nokogiri Affected
SUSE OpenStack Cloud 7 crowbar-core Released
SUSE OpenStack Cloud 7 rubygem-nokogiri Released
SUSE OpenStack Cloud Crowbar 8 crowbar-core Released
SUSE OpenStack Cloud Crowbar 8 rubygem-nokogiri Released
SUSE OpenStack Cloud Crowbar 9 crowbar-core In progress
SUSE OpenStack Cloud Crowbar 9 rubygem-nokogiri Released